<table border="1" cellpadding="3" cellspacing="0" style="width:90%;margin:auto;">
<thead>
    <tr>
        <th style="text-align:center">Personnel ID</th>
        <th style="text-align:center">Personnel Name</th>
        <th style="text-align:center">Time</th>
        <th style="text-align:center">Event</th>
        <th style="text-align:center">Event Description</th>
        <th style="text-align:center">Device</th>
        <th style="text-align:center">Area</th>
    </tr>
</thead>
<tbody>
    {% if filter_sn %}
    {% for each_data in hundred_data %}
        {% ifequal each_data.sn filter_sn %}
        <tr>
            <td height="20px" style="text-align:center">{{ each_data.pin }}</td>
            <td height="20px" style="text-align:center">{{ each_data.name }}</td>
            <td height="20px" style="text-align:center">{{ each_data.time }}{{ each_data.op_time }}</td>
            <td height="20px" style="text-align:center">{{ each_data.op_type }}</td>
            <td height="20px" style="text-align:center">{{ each_data.op_descraption }}</td>
            <td height="20x" style="text-align:center">{{ each_data.sn }}</td>
            <td height="20px" style="text-align:center">{{ each_data.area }}</td>
        </tr>
        {% endifequal %}
        {% endfor %}
    {% else %}
        {% for each_data in hundred_data %}
        <tr>
            <td height="20px" style="text-align:center">{{ each_data.pin }}</td>
            <td height="20px" style="text-align:center">{{ each_data.name }}</td>
            <td height="20px" style="text-align:center">{{ each_data.time }}{{ each_data.op_time }}</td>
            <td height="20px" style="text-align:center">{{ each_data.op_type }}</td>
            <td height="20px" style="text-align:center">{{ each_data.op_descraption }}</td>
            <td height="20x" style="text-align:center">{{ each_data.sn }}</td>
            <td height="20px" style="text-align:center">{{ each_data.area }}</td>
        </tr>
        {% endfor %}
    {% endif %}
</tbody>
</table>
<br>